# Uses of Class
javax.help.search.SearchEngine

Packages that use SearchEngine
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic
javax.help.search
Supports simple access to search engines.

## Uses of SearchEngine in javax.help

Methods in javax.help that return SearchEngine
Modifier and Type
Method
Description
`SearchEngine`
JHelpSearchNavigator.`getSearchEngine()`
Instantiates and returns a SearchEngine class.
Methods in javax.help with parameters of type SearchEngine
Modifier and Type
Method
Description
`void`
JHelpSearchNavigator.`setSearchEngine(SearchEngine search)`
Explicitly changes the default (overriding what is in the HelpSet).

## Uses of SearchEngine in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as SearchEngine
Modifier and Type
Field
Description
`protected SearchEngine`
BasicSearchNavigatorUI.`helpsearch`

## Uses of SearchEngine in javax.help.search

Subclasses of SearchEngine in javax.help.search
Modifier and Type
Class
Description
`class`
`MergingSearchEngine`
Fields in javax.help.search declared as SearchEngine
Modifier and Type
Field
Description
`protected SearchEngine`
SearchQuery.`hs`
Methods in javax.help.search that return SearchEngine
Modifier and Type
Method
Description
`SearchEngine`
SearchQuery.`getSearchEngine()`
Returns the SearchEngine associated with this SearchQuery.
Constructors in javax.help.search with parameters of type SearchEngine
Modifier
Constructor
Description
``
`MergingSearchEngine(SearchEngine engine)`
``
`SearchQuery(SearchEngine hs)`
Creates a SearchQuery.